import { imageToArray } from "helpers";
import _pixelWorker from "./_pixelWorker"

export default async (image: Image, x: number, y: number): Promise<Uint8ClampedArray> => {
  return await _pixelWorker({ type: "flood_map", pixels: await imageToArray(image, false), x, y, width: image.width, height: image.height });
}